com.google.gwt.view.client

## Class RowCountChangeEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<RowCountChangeEvent.Handler>
    - - com.google.gwt.view.client.RowCountChangeEvent

    public class RowCountChangeEvent
    extends GwtEvent<RowCountChangeEvent.Handler>

Represents a row count change event.

### Nested Class Summary

Nested Classes
`static interface` `RowCountChangeEvent.Handler` Handler interface for `RowCountChangeEvent` events.

### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

`GwtEvent.Type<H>`

### Constructor Summary

Constructors
`protected` `RowCountChangeEvent(int rowCount, boolean isExact)` Creates a `RowCountChangeEvent`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `dispatch(RowCountChangeEvent.Handler handler)` Should only be called by `HandlerManager`.
`static void` `fire(HasRows source, int rowCount, boolean isExact)` Fires a `RowCountChangeEvent` on all registered handlers in the handler manager.
`GwtEvent.Type<RowCountChangeEvent.Handler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`int` `getNewRowCount()` Gets the new row count.
`static GwtEvent.Type<RowCountChangeEvent.Handler>` `getType()` Gets the type associated with this event.
`boolean` `isNewRowCountExact()` Check if the new row count is exact.
`java.lang.String` `toDebugString()` This is a method used primarily for debugging.

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RowCountChangeEvent

    protected RowCountChangeEvent(int rowCount,
                                  boolean isExact)

Creates a `RowCountChangeEvent`.

Parameters:
  `rowCount` - the new row count
  `isExact` - true if the row count is exact

### Method Detail

#### fire

    public static void fire(HasRows source,
                            int rowCount,
                            boolean isExact)

Fires a `RowCountChangeEvent` on all registered handlers in the handler manager. If no such handlers exist, this method will do nothing.

Parameters:
  `source` - the source of the handlers
  `rowCount` - the new rowCount
  `isExact` - true if rowCount is an exact count

#### getType

    public static GwtEvent.Type<RowCountChangeEvent.Handler> getType()

Gets the type associated with this event.

Returns:
  returns the handler type

#### getAssociatedType

    public final GwtEvent.Type<RowCountChangeEvent.Handler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `GwtEvent<RowCountChangeEvent.Handler>`
Returns:
  the type

#### getNewRowCount

    public int getNewRowCount()

Gets the new row count.

Returns:
  the new row count

#### isNewRowCountExact

    public boolean isNewRowCountExact()

Check if the new row count is exact.

Returns:
  true if the new row count is exact, false if not

#### toDebugString

    public java.lang.String toDebugString()

Description copied from class: `Event`
This is a method used primarily for debugging. It gives a string representation of the event details. This does not override the toString method because the compiler cannot always optimize toString out correctly. Event types should override as desired.

Overrides:
  `toDebugString` in class `Event<RowCountChangeEvent.Handler>`
Returns:
  a string representing the event's specifics.

#### dispatch

    protected void dispatch(RowCountChangeEvent.Handler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<RowCountChangeEvent.Handler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`